CMSIS-RTOS: osMailQDef_t Struct Reference

| CMSIS-RTOS Version 1.03 Real-Time Operating System: API and RTX Reference Implementation.

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osMailQDef_t Struct Reference

Definition structure for mail queue. More...

## Data Fields
uint32_t | queue_sz
| number of elements in the queue More...
uint32_t | item_sz
| size of an item More...
void * | pool
| memory array for mail More...

## Description

Note
  CAN BE CHANGED: os_mailQ_def is implementation specific in every CMSIS-RTOS.

## Field Documentation

uint32_t item_sz

void* pool

uint32_t queue_sz